com.here.msdkui.routing

## Class ManeuverResources

- java.lang.Object
- - com.here.msdkui.routing.ManeuverResources

-     public class ManeuverResources
      extends java.lang.Object

  A resource provider for `Maneuver`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManeuverResources(android.content.Context context, java.util.List<com.here.android.mpa.routing.Maneuver> maneuverList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArrivedAtDestinationInstruction()` Get the localized "You've arrived" string to indicate that destination was reached.
    `int` | `getDestinationIconId()` Gets destination icon id.
    `int` | `getDistanceFromNext(int index)` Gets distance from maneuver at index to next `Maneuver`.
    `java.lang.String` | `getExitDirections(com.here.android.mpa.routing.Maneuver maneuver)` Gets the exit direction for given `Maneuver`.
    `int` | `getManeuverIconId(int index)` Gets icon id for a given index of maneuver list.
    `java.lang.String` | `getManeuverInstruction(int index)` Gets maneuver instruction at index.
    `java.lang.String` | `getRoadToDisplay(int index)` Gets the road name for a `Maneuver` at the given indes.
    `int` | `getStartIconId()` Gets start icon id.
    `java.lang.String` | `getString(java.lang.Integer id)` Get localized string from the application's package's default string table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManeuverResources

          public ManeuverResources(android.content.Context context,
                                   java.util.List<com.here.android.mpa.routing.Maneuver> maneuverList)

  - ### Method Detail

    - #### getStartIconId

          public int getStartIconId()

      Gets start icon id.
      Returns:
        the icon id for start, as defined by `Maneuver` class.

    - #### getDestinationIconId

          public int getDestinationIconId()

      Gets destination icon id.
      Returns:
        the icon id for end, as defined by `Maneuver` class.

    - #### getManeuverIconId

          public int getManeuverIconId(int index)

      Gets icon id for a given index of maneuver list.
      Parameters:
        `index` - the index of the manuever.
      Returns:
        the icon id of the maneuver found at given list index or 0 if no icon is found.

    - #### getManeuverInstruction

          public java.lang.String getManeuverInstruction(int index)

      Gets maneuver instruction at index.

      Please note that if maneuver is not mapped to any instruction string, then a 'head to orientation' instruction is returned.

      Parameters:
        `index` - the index of the manuever.
      Returns:
        the maneuver instruction found at given list index or empty string if no maneuver is found.

    - #### getDistanceFromNext

          public int getDistanceFromNext(int index)

      Gets distance from maneuver at index to next `Maneuver`.
      Parameters:
        `index` - the index of the maneuver to use.
      Returns:
        the distance in meters to next maneuver or 0 if no next maneuver was found.

    - #### getRoadToDisplay

          public java.lang.String getRoadToDisplay(int index)

      Gets the road name for a `Maneuver` at the given indes.
      Parameters:
        `index` - the index of the maneuver to use.
      Returns:
        the road name.

    - #### getExitDirections

          public java.lang.String getExitDirections(com.here.android.mpa.routing.Maneuver maneuver)

      Gets the exit direction for given `Maneuver`.
      Parameters:
        `maneuver` - the maneuver for which the exit direction will be returned.
      Returns:
        the exit direction or null if no result.

    - #### getString

          public java.lang.String getString(java.lang.Integer id)

      Get localized string from the application's package's default string table.
      Parameters:
        `id` - resource id for the string.
      Returns:
        the string data associated with the resource or null if id is invalid.

    - #### getArrivedAtDestinationInstruction

          public java.lang.String getArrivedAtDestinationInstruction()

      Get the localized "You've arrived" string to indicate that destination was reached.
      Returns:
        the localized "You've arrived" string.